Subject: Re: Patch for GNOME

From: Matthias Clasen <[email-masked]>
Date: Sun, 2 May 1999 23:36:53 +0200

> Date: Fri, 30 Apr 1999 13:05:56 +0200
> From: Dominik Vogt <[email-masked]>
> Mail-Followup-To: [email-masked]
> Content-Type: text/plain; charset=us-ascii
> Sender: [email-masked]
> Precedence: list
> X-Majordomo: 1.94.jlt7
> 
> On Wed, Apr 28, 1999 at 09:34:58AM +0200, [email-masked] wrote:
> > 
> > Since i'm not subscribed to this list (I'm on too many mailingslists
> > already), please send comments to me directly.
> > 
> > This patch makes fvwm2 a better GNOME citizen. It sets the desktop
> > properties of windows when they are deiconified. I can iconify a
> > window on desk 0 and de-iconify it on desk 1. The window appears on
> > desk 1, but in the gnome-pager, the windows is still shown on desk 0.
> > 
> > 
> > Index: icons.c
> > ===================================================================
> > RCS file: /home/cvs/fvwm/fvwm/fvwm/icons.c,v
> > retrieving revision 1.41
> > diff -u -b -B -r1.41 icons.c
> > --- icons.c     1999/04/24 22:50:23     1.41
> > +++ icons.c     1999/04/28 07:26:04
> > @@ -926,7 +926,7 @@
> >           XRaiseWindow(dpy,t->w);
> >         }
> >      }
> > -
> > +  GNOME_SetDesk(tmp_win);
> >    RaiseWindow(tmp_win); /* moved dje */
> >  
> >    if(HAS_CLICK_FOCUS(tmp_win))
> 
> Matthias, can you decide if/how this patch should be applied?
> 
> Bye
> 
> Dominik ^_^

I don't think this is necessary. Current CVS gives me this:

xterm is on desk 0 and has property _WIN_WORKSPACE 0
iconify it
move icon to desk 1
deiconify
xterm is now on desk 1 and has property _WIN_WORKSPACE 1

Thus I think that my recent Gnome enhancements already fixed this
by setting _WIN_WORKSPACE when necessary.

Matthias

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]